Subject: bug#79387: 30.1.90; If a thread exits, other threads in wait_reading_process_output aren't woken up

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Sep 2025 16:25:22 +0300

> Cc: [email-masked], [email-masked]
> Date: Sat, 06 Sep 2025 16:21:48 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Spencer Baugh <[email-masked]>
> > Date: Sat, 6 Sep 2025 08:44:03 -0400
> > Cc: Dmitry Gutov <[email-masked]>, [email-masked]
> > 
> >  > Do you think the "associate a pipe with each thread to use for wakeups,
> >  > and write to it when a thread exits" approach sounds reasonable?
> > 
> >  I'd prefer not to, because a self-pipe is not portable enough.
> > 
> > Interesting, what Emacs platform supports threads but does not support pipes?
> > 
> > I think on the contrary that it is portable to all the Emacs platforms with threads.
> 
> Not pipes, but pipes whose reading and writing edges are the same
> program.  Windows doesn't support that, and I'm not sure about other
> platforms.

Or maybe it's possible, but I don't know how to do that.